VULKAN_HPP_NAMESPACE::AttachmentReference2KHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::AttachmentReference2KHR:
[legend]

## Public Member Functions

| AttachmentReference2KHR (uint32_t attachment_=0, ImageLayout layout_=ImageLayout::eUndefined, ImageAspectFlags aspectMask_=ImageAspectFlags())
| AttachmentReference2KHR (VkAttachmentReference2KHR const &rhs)
AttachmentReference2KHR & | operator= (VkAttachmentReference2KHR const &rhs)
AttachmentReference2KHR & | setPNext (const void *pNext_)
AttachmentReference2KHR & | setAttachment (uint32_t attachment_)
AttachmentReference2KHR & | setLayout (ImageLayout layout_)
AttachmentReference2KHR & | setAspectMask (ImageAspectFlags aspectMask_)
| operator VkAttachmentReference2KHR const & () const
| operator VkAttachmentReference2KHR & ()
bool | operator== (AttachmentReference2KHR const &rhs) const
bool | operator!= (AttachmentReference2KHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | attachment
ImageLayout | layout
ImageAspectFlags | aspectMask

## Private Attributes

StructureType | sType = StructureType::eAttachmentReference2KHR

## Detailed Description

Definition at line 25883 of file vulkan.hpp.

## Constructor & Destructor Documentation

## AttachmentReference2KHR() [1/2]

VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::AttachmentReference2KHR | ( | uint32_t | attachment_ = `0`,
|  | ImageLayout | layout_ = `ImageLayout::eUndefined`,
|  | ImageAspectFlags | aspectMask_ = `ImageAspectFlags()`
| ) |  |

inline

Definition at line 25885 of file vulkan.hpp.

: attachment( attachment_ )
, layout( layout_ )
, aspectMask( aspectMask_ )
{
}

## AttachmentReference2KHR() [2/2]

VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::AttachmentReference2KHR | ( | VkAttachmentReference2KHR const & | rhs | ) |

inline

Definition at line 25894 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( AttachmentReference2KHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkAttachmentReference2KHR &()

VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::operator VkAttachmentReference2KHR & | ( |  | ) |

inline

Definition at line 25933 of file vulkan.hpp.

{
return *reinterpret_cast<VkAttachmentReference2KHR*>(this);
}

## operator VkAttachmentReference2KHR const &()

VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::operator VkAttachmentReference2KHR const & | ( |  | ) | const

inline

Definition at line 25928 of file vulkan.hpp.

{
return *reinterpret_cast<const VkAttachmentReference2KHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::operator!= | ( | AttachmentReference2KHR const & | rhs | ) | const

inline

Definition at line 25947 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

AttachmentReference2KHR& VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::operator= | ( | VkAttachmentReference2KHR const & | rhs | ) |

inline

Definition at line 25899 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( AttachmentReference2KHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::operator== | ( | AttachmentReference2KHR const & | rhs | ) | const

inline

Definition at line 25938 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( attachment == rhs.attachment )
&& ( layout == rhs.layout )
&& ( aspectMask == rhs.aspectMask );
}

References aspectMask, attachment, layout, pNext, and sType.

Referenced by operator!=().

## setAspectMask()

AttachmentReference2KHR& VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::setAspectMask | ( | ImageAspectFlags | aspectMask_ | ) |

inline

Definition at line 25922 of file vulkan.hpp.

{
aspectMask = aspectMask_;
return *this;
}

References aspectMask.

## setAttachment()

AttachmentReference2KHR& VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::setAttachment | ( | uint32_t | attachment_ | ) |

inline

Definition at line 25910 of file vulkan.hpp.

{
attachment = attachment_;
return *this;
}

## setLayout()

AttachmentReference2KHR& VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::setLayout | ( | ImageLayout | layout_ | ) |

inline

Definition at line 25916 of file vulkan.hpp.

{
layout = layout_;
return *this;
}

References layout.

## setPNext()

AttachmentReference2KHR& VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 25904 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## aspectMask

ImageAspectFlags VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::aspectMask

Definition at line 25959 of file vulkan.hpp.

Referenced by operator==(), and setAspectMask().

## attachment

uint32_t VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::attachment

Definition at line 25957 of file vulkan.hpp.

Referenced by operator==().

## layout

ImageLayout VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::layout

Definition at line 25958 of file vulkan.hpp.

Referenced by operator==(), and setLayout().

## pNext

const void* VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::pNext = nullptr

Definition at line 25956 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::sType = StructureType::eAttachmentReference2KHR

private

Definition at line 25953 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::attachment
uint32_t attachment
Definition: vulkan.hpp:25957
attachment
GLenum attachment
Definition: SDL_opengl_glext.h:1178
VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::sType
StructureType sType
Definition: vulkan.hpp:25953
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::aspectMask
ImageAspectFlags aspectMask
Definition: vulkan.hpp:25959
VkAttachmentReference2KHR
Definition: vulkan_core.h:5564
VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::layout
ImageLayout layout
Definition: vulkan.hpp:25958
VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::operator==
bool operator==(AttachmentReference2KHR const &rhs) const
Definition: vulkan.hpp:25938
VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::pNext
const void * pNext
Definition: vulkan.hpp:25956
VULKAN_HPP_NAMESPACE::AttachmentReference2KHR::AttachmentReference2KHR
AttachmentReference2KHR(uint32_t attachment_=0, ImageLayout layout_=ImageLayout::eUndefined, ImageAspectFlags aspectMask_=ImageAspectFlags())
Definition: vulkan.hpp:25885